Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel.server
Class MasterVirtualServerStatus

`java.lang.Object
oracle.ovs.api.datamodel.server.MasterVirtualServerStatus`

All Implemented Interfaces:
  java.io.Serializable

      public class MasterVirtualServerStatus

extends java.lang.Object
implements java.io.Serializable

Master Virtual Server Status.

See Also:
  `ServerStatus`, `MasterVirtualServer`, Serialized Form

Constructor Summary
`MasterVirtualServerStatus()` Default constructor
`MasterVirtualServerStatus(java.lang.String status)` Set value to `MasterVirtualServerStatus`

Method Summary
`java.lang.String` | `getValue()` Get master virtual server status
`void` | `setValue(java.lang.String value)` Set value for Master virtual server status

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MasterVirtualServerStatus

    public MasterVirtualServerStatus()

  Default constructor

### MasterVirtualServerStatus

    public MasterVirtualServerStatus(java.lang.String status)

  Set value to `MasterVirtualServerStatus`
  Parameters:
    `status` - Master virtual server status

Method Detail

### setValue

    public void setValue(java.lang.String value)

  Set value for Master virtual server status
  Parameters:
    `value` - Master virtual server status

### getValue

    public java.lang.String getValue()

  Get master virtual server status
  Returns:
    Master virtual server status

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.